Subject: Ticket Assigned - 9588522463/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Mon, 03 Oct 2022 18:06:19 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9588522463/ late delivery Internationale??✌️?                    Hello           08:59 PM, 03rd Oct                     Internationale??✌️?                    I would like to report a problem with my order           09:01 PM, 03rd Oct                     Internationale??✌️?                    It is written that I rejected the order yet I did not do it! I was waiting for this order so I don't know how to proceed for my order to be delivered           09:04 PM, 03rd Oct                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           09:42 PM, 03rd Oct                   Alhamzi                   Please wait while we check the details.            09:42 PM, 03rd Oct                   Alhamzi                   Please confirm if the following phone number is correct: 971506395183           09:44 PM, 03rd Oct                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             10:04 PM, 03rd Oct                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4956694